Bug 144642 - FILEOPEN XLSX Number of rows on a page different in Excel than in Calc
Summary: FILEOPEN XLSX Number of rows on a page different in Excel than in Calc
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Attila Szűcs
URL:
Whiteboard: target:7.3.0
Keywords: filter:xlsx
Depends on:
Blocks: XLSX
  Show dependency treegraph
 
Reported: 2021-09-21 13:59 UTC by NISZ LibreOffice Team
Modified: 2021-11-08 10:44 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from Excel with 28.35 pt (1cm) row heights saved, but displayed as smaller values (10.97 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2021-09-21 13:59 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Excel and Calc: displayed row height is smaller in Excel (138.49 KB, image/png)
2021-09-21 14:00 UTC, NISZ LibreOffice Team
Details
Example file from Excel in Normal view: displayed row height is 0.1 pt smaller (54.03 KB, image/png)
2021-09-21 14:00 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-09-21 13:59:36 UTC
Created attachment 175169 [details]
Example file from Excel with 28.35 pt (1cm) row heights saved, but displayed as smaller values

Attached file was made in Excel by setting 2 cm margins and 1 cm row heights.
This results on screen 26 visible rows on one A4 page: 29.7 cm – 4 cm margins = 25.7 cm. But: 26 1 cm rows mathematically should not fit in 25.7 cm space, yet they do.
In Calc however only 25 rows are visible in page layout view / print.

This is related to bug 120288
What really happens there is that Excel displays row heights in 0.75 point increments, so 1 cm becomes 9.79 mm.
On the other hand, it writes to XLSX files the user input value, this is what Calc displays.
This is a bit of cheating (also happens with Calc-saved XLSX files in Excel), this results in more rows being displayed than what could fit in the available vertical space.

Steps to reproduce:
1.	Open attached file in Excel and Calc, go to layout view.

Actual results:
Excel shows 26 rows, Calc shows 25 on one page.

Expected results:
Probably Calc should do this kind of cheating somehow for Excel-made files.

LibreOffice details:
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 770dcb1f717d576facf31efed14bee403e1a7155
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2021-09-21 14:00:01 UTC
Created attachment 175170 [details]
Screenshot of the original document side by side in Excel and Calc: displayed row height is smaller in Excel
Comment 2 NISZ LibreOffice Team 2021-09-21 14:00:41 UTC
Created attachment 175171 [details]
Example file from Excel in Normal view: displayed row height is 0.1 pt smaller
Comment 3 Commit Notification 2021-10-13 14:58:02 UTC
Attila Szűcs committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/537cb82be8fa021fd9382cca874645c75daaef20

tdf#144642 XLSX import: round down row height to 0.75 pt

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 NISZ LibreOffice Team 2021-11-08 10:44:18 UTC
Verified in: 

Version: 7.3.0.0.alpha1+ (x64) / LibreOffice Community
Build ID: 73334560b2dd2d60ac58d2cc2b1a5295490b03e1
CPU threads: 4; OS: Windows 10.0 Build 19042; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded